
Katello - Bug #5013

host groups UI: activation keys are not functioning properly
Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Hosts   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a user creates a host group, they select a lifecycle environment and content view.  Once this is done, the client will request 

the list of all activation keys that are associated with that combination.  With the current UI, the activation keys are not being retrieved

properly.  The root cause appears to be that the request contains the foreman puppet environment id, instead of the katello content

view id.

Associated revisions

Revision a0945ad5 - 04/01/2014 09:17 PM - Brad Buckingham

fixes #5013 - host groups - fix retrieval of activation keys

This commit fixes the behavior of hostgroup create/edit,

where the user selectes a lifecycle environment and

content view and in turn the list of available activation

keys is return from the server.

The main issue prior to this commit was that the

logic was using the foreman puppet environment id

where it should have been using the katello

content view id.

Revision b6a355a3 - 04/02/2014 12:31 PM - Brad Buckingham

Merge pull request #3935 from bbuckingham/issue-5013

fixes #5013 - host groups - fix retrieval of activation keys

History

#1 - 04/02/2014 12:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a0945ad5c7ae101d02b913bf99e57a2f913d8a19.

#2 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
